 <ion-input #text inputmode="text" [clearInput]="clearInput" [disabled]="disabled" [attr.placeholder]="placeholder"
     [(ngModel)]="value" (ionBlur)="onBlur()" [minlength]="minlength" [maxlength]="maxlength">
 </ion-input>
 <div *ngIf="!this.options.hiddenSuggestions && messageError" class="ion-margin-bottom">
     <ion-icon name="alert" color="primary" style="transform: translateY(2px);"></ion-icon> {{this.messageError}}.
 </div>